<!DOCTYPE html>
<html>
<head>
    <title>Guestbook</title>
</head>
<body>
    <h1>Guestbook</h1>
    <div id="frontend-version">Frontend version: 1.0.0</div>
    <div id="backend-info">Loading...</div>
    <form id="guestbook-form">
        <input type="text" id="message" placeholder="Your message" required>
        <button type="submit">Submit</button>
    </form>
    <div id="messages"></div>

    <script>
        const API_URL = "${api_url}";
        document.getElementById('guestbook-form').addEventListener('submit', async (e) => {
            e.preventDefault();
            const message = document.getElementById('message').value;
            const response = await fetch(`$${API_URL}/messages`, {
                method: 'POST',
                headers: { 'Content-Type': 'application/json' },
                body: JSON.stringify({ message })
            });
            if (response.ok) {
                loadMessages();
            }
        });

        async function loadMessages() {
            const response = await fetch(`$${API_URL}/messages`);
            const data = await response.json();
            const messagesDiv = document.getElementById('messages');
            messagesDiv.innerHTML = '';
            data.forEach(msg => {
                const div = document.createElement('div');
                div.textContent = msg.message;
                messagesDiv.appendChild(div);
            });
        }

        async function loadBackendInfo() {
            const response = await fetch(`$${API_URL}/info`);
            const data = await response.json();
            document.getElementById('backend-info').textContent = `Backend version: $${data.version}, Replica: $${data.replica}`;
        }

        loadMessages();
        loadBackendInfo();
    </script>
</body>
</html>
